using System;
using System.Threading.Tasks;
using DiplomovaPrace.Contracts.Security.InputModels;

namespace DiplomovaPrace.Web.Admin.Services
{
	public interface ILoginService
	{
		Task VerifyUserAsync(Guid authorizationToken);

		Task<bool> LoginAdminAsync(LoginAccountIM loginAccount, string returnUrl);

		Task LogoutAdminAsync();
	}
}
